## org.apache.ivy.osgi.core
Class BundleRequirement

    java.lang.Object
      org.apache.ivy.osgi.core.BundleRequirement

    public class BundleRequirement

extends java.lang.Object

Constructor Summary
`BundleRequirement(java.lang.String type, java.lang.String name, VersionRange version, java.lang.String resolution)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getName()`
`java.lang.String` `getResolution()`
`java.lang.String` `getType()`
`VersionRange` `getVersion()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BundleRequirement

    public BundleRequirement(java.lang.String type,
                             java.lang.String name,
                             VersionRange version,
                             java.lang.String resolution)

Method Detail

### getType

    public java.lang.String getType()

### getName

    public java.lang.String getName()

### getVersion

    public VersionRange getVersion()

### getResolution

    public java.lang.String getResolution()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`